package com.jeeplus.modules.supply.projectInformation.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 审定单Entity
 * @author: 黄俊杰
 * @create: 2022-02-28 16:00
 */
public class SubmissionForm extends DataEntity<SubmissionForm> {
    private String submissionFormId;                //送审单id
    private String projectDefinitionNumber;         //项目定义号 关联项目信息表
    private String approvalReplyNo;                 //可研批复文号
    private String singleProjectWbsNo;              //单体工程WBS编号
    private String engineeringNo;                   //工程编号
    private String engineeringName;                 //工程名称
    private String contacts;                        //联系人
    private String contactNumber;                   //联系电话
    private Date actualCommencementDate;            //实际开工日期
    private Date actualCompletionDate;              //实际竣工日期
    private String constructionUnit;                //施工单位
    private String contractNo;                      //合同编号
    private String contractAmount;                  //合同金额
    private String settlementDiscountRate;          //结算折扣率
    private Date plannedCommencementDate;           //计划开工日期
    private Date plannedCompletionDate;             //计划竣工日期
    private String civilEngineeringAmountSubmittedForApproval;          //土建送审金额
    private String installAmountSubmittedForApproval;                   //安装送审金额
    private String subtotalOfConstructionCostSubmittedForApproval;      //送审施工费小计
    private String amountOfMaterialsProvidedByPartyAForApproval;        //甲供材送审金额
    private String commentsOnSubmissionForApproval;                     //送审备注
    private String approvedAmountOfCivilEngineering;                    //土建审定金额
    private String installationApprovalAmount;                          //安装审定金额
    private String subtotalOfApprovedConstructionCost;                  //审定施工费小计
    private String approvedAmountOfMaterialsSuppliedByPartyA;           //甲供材审定金额
    private String deductionAmountOfConstructionCost;                   //施工费核减金额
    private String reductionRateOfConstructionCost;                     //施工费核减率
    private String creditDeductionOfTheConstructionUnit;                //施工单位诚信扣款
    private String proposedSettlement;              //建议结算款
    private String longitude;                       //经度
    private String latitude;                        //纬度
    private String auditFee;                        //审计费
    private String auditOpinionNo;                  //审计意见文号
    private String auditReportNo;                   //审计报告号
    private String auditRemarks;                    //审计备注
    private String firmName;                        //事务所名称
    private String auditorOfTheFirm;                //事务所审计人员
    private Date submissionDate;                    //提交送审日期
    private Date auditTaskReleaseDate;              //审计任务下达日期
    private Date endDateOfAudit;                    //审计应结束日期
    private Date resultUploadDate;                  //结果上传日期
    private Date approvalDate;                      //审定日期
    private String timeout;                         //是否超时
    private String auditManagementLevel;            //审计管理级别
    private String auditMethod;                     //审计方式
    private String fullTimeAuditor;                 //审计专职
    private String submitter;                       //送审人
    private String submissionDepartment;            //送审部门
    private String secondaryUnit;                   //二级单位
    private String primaryUnit;                     //一级单位
    private String submissionStatus;                //送审状态

    public String getSubmissionFormId() {
        return submissionFormId;
    }

    public void setSubmissionFormId(String submissionFormId) {
        this.submissionFormId = submissionFormId;
    }

    public String getProjectDefinitionNumber() {
        return projectDefinitionNumber;
    }

    public void setProjectDefinitionNumber(String projectDefinitionNumber) {
        this.projectDefinitionNumber = projectDefinitionNumber;
    }

    public String getApprovalReplyNo() {
        return approvalReplyNo;
    }

    public void setApprovalReplyNo(String approvalReplyNo) {
        this.approvalReplyNo = approvalReplyNo;
    }

    public String getSingleProjectWbsNo() {
        return singleProjectWbsNo;
    }

    public void setSingleProjectWbsNo(String singleProjectWbsNo) {
        this.singleProjectWbsNo = singleProjectWbsNo;
    }

    public String getEngineeringNo() {
        return engineeringNo;
    }

    public void setEngineeringNo(String engineeringNo) {
        this.engineeringNo = engineeringNo;
    }

    public String getEngineeringName() {
        return engineeringName;
    }

    public void setEngineeringName(String engineeringName) {
        this.engineeringName = engineeringName;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public Date getActualCommencementDate() {
        return actualCommencementDate;
    }

    public void setActualCommencementDate(Date actualCommencementDate) {
        this.actualCommencementDate = actualCommencementDate;
    }

    public Date getActualCompletionDate() {
        return actualCompletionDate;
    }

    public void setActualCompletionDate(Date actualCompletionDate) {
        this.actualCompletionDate = actualCompletionDate;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getContractAmount() {
        return contractAmount;
    }

    public void setContractAmount(String contractAmount) {
        this.contractAmount = contractAmount;
    }

    public String getSettlementDiscountRate() {
        return settlementDiscountRate;
    }

    public void setSettlementDiscountRate(String settlementDiscountRate) {
        this.settlementDiscountRate = settlementDiscountRate;
    }

    public Date getPlannedCommencementDate() {
        return plannedCommencementDate;
    }

    public void setPlannedCommencementDate(Date plannedCommencementDate) {
        this.plannedCommencementDate = plannedCommencementDate;
    }

    public Date getPlannedCompletionDate() {
        return plannedCompletionDate;
    }

    public void setPlannedCompletionDate(Date plannedCompletionDate) {
        this.plannedCompletionDate = plannedCompletionDate;
    }

    public String getCivilEngineeringAmountSubmittedForApproval() {
        return civilEngineeringAmountSubmittedForApproval;
    }

    public void setCivilEngineeringAmountSubmittedForApproval(String civilEngineeringAmountSubmittedForApproval) {
        this.civilEngineeringAmountSubmittedForApproval = civilEngineeringAmountSubmittedForApproval;
    }

    public String getInstallAmountSubmittedForApproval() {
        return installAmountSubmittedForApproval;
    }

    public void setInstallAmountSubmittedForApproval(String installAmountSubmittedForApproval) {
        this.installAmountSubmittedForApproval = installAmountSubmittedForApproval;
    }

    public String getSubtotalOfConstructionCostSubmittedForApproval() {
        return subtotalOfConstructionCostSubmittedForApproval;
    }

    public void setSubtotalOfConstructionCostSubmittedForApproval(String subtotalOfConstructionCostSubmittedForApproval) {
        this.subtotalOfConstructionCostSubmittedForApproval = subtotalOfConstructionCostSubmittedForApproval;
    }

    public String getAmountOfMaterialsProvidedByPartyAForApproval() {
        return amountOfMaterialsProvidedByPartyAForApproval;
    }

    public void setAmountOfMaterialsProvidedByPartyAForApproval(String amountOfMaterialsProvidedByPartyAForApproval) {
        this.amountOfMaterialsProvidedByPartyAForApproval = amountOfMaterialsProvidedByPartyAForApproval;
    }

    public String getCommentsOnSubmissionForApproval() {
        return commentsOnSubmissionForApproval;
    }

    public void setCommentsOnSubmissionForApproval(String commentsOnSubmissionForApproval) {
        this.commentsOnSubmissionForApproval = commentsOnSubmissionForApproval;
    }

    public String getApprovedAmountOfCivilEngineering() {
        return approvedAmountOfCivilEngineering;
    }

    public void setApprovedAmountOfCivilEngineering(String approvedAmountOfCivilEngineering) {
        this.approvedAmountOfCivilEngineering = approvedAmountOfCivilEngineering;
    }

    public String getInstallationApprovalAmount() {
        return installationApprovalAmount;
    }

    public void setInstallationApprovalAmount(String installationApprovalAmount) {
        this.installationApprovalAmount = installationApprovalAmount;
    }

    public String getSubtotalOfApprovedConstructionCost() {
        return subtotalOfApprovedConstructionCost;
    }

    public void setSubtotalOfApprovedConstructionCost(String subtotalOfApprovedConstructionCost) {
        this.subtotalOfApprovedConstructionCost = subtotalOfApprovedConstructionCost;
    }

    public String getApprovedAmountOfMaterialsSuppliedByPartyA() {
        return approvedAmountOfMaterialsSuppliedByPartyA;
    }

    public void setApprovedAmountOfMaterialsSuppliedByPartyA(String approvedAmountOfMaterialsSuppliedByPartyA) {
        this.approvedAmountOfMaterialsSuppliedByPartyA = approvedAmountOfMaterialsSuppliedByPartyA;
    }

    public String getDeductionAmountOfConstructionCost() {
        return deductionAmountOfConstructionCost;
    }

    public void setDeductionAmountOfConstructionCost(String deductionAmountOfConstructionCost) {
        this.deductionAmountOfConstructionCost = deductionAmountOfConstructionCost;
    }

    public String getReductionRateOfConstructionCost() {
        return reductionRateOfConstructionCost;
    }

    public void setReductionRateOfConstructionCost(String reductionRateOfConstructionCost) {
        this.reductionRateOfConstructionCost = reductionRateOfConstructionCost;
    }

    public String getCreditDeductionOfTheConstructionUnit() {
        return creditDeductionOfTheConstructionUnit;
    }

    public void setCreditDeductionOfTheConstructionUnit(String creditDeductionOfTheConstructionUnit) {
        this.creditDeductionOfTheConstructionUnit = creditDeductionOfTheConstructionUnit;
    }

    public String getProposedSettlement() {
        return proposedSettlement;
    }

    public void setProposedSettlement(String proposedSettlement) {
        this.proposedSettlement = proposedSettlement;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getAuditFee() {
        return auditFee;
    }

    public void setAuditFee(String auditFee) {
        this.auditFee = auditFee;
    }

    public String getAuditOpinionNo() {
        return auditOpinionNo;
    }

    public void setAuditOpinionNo(String auditOpinionNo) {
        this.auditOpinionNo = auditOpinionNo;
    }

    public String getAuditReportNo() {
        return auditReportNo;
    }

    public void setAuditReportNo(String auditReportNo) {
        this.auditReportNo = auditReportNo;
    }

    public String getAuditRemarks() {
        return auditRemarks;
    }

    public void setAuditRemarks(String auditRemarks) {
        this.auditRemarks = auditRemarks;
    }

    public String getFirmName() {
        return firmName;
    }

    public void setFirmName(String firmName) {
        this.firmName = firmName;
    }

    public String getAuditorOfTheFirm() {
        return auditorOfTheFirm;
    }

    public void setAuditorOfTheFirm(String auditorOfTheFirm) {
        this.auditorOfTheFirm = auditorOfTheFirm;
    }

    public Date getSubmissionDate() {
        return submissionDate;
    }

    public void setSubmissionDate(Date submissionDate) {
        this.submissionDate = submissionDate;
    }

    public Date getAuditTaskReleaseDate() {
        return auditTaskReleaseDate;
    }

    public void setAuditTaskReleaseDate(Date auditTaskReleaseDate) {
        this.auditTaskReleaseDate = auditTaskReleaseDate;
    }

    public Date getEndDateOfAudit() {
        return endDateOfAudit;
    }

    public void setEndDateOfAudit(Date endDateOfAudit) {
        this.endDateOfAudit = endDateOfAudit;
    }

    public Date getResultUploadDate() {
        return resultUploadDate;
    }

    public void setResultUploadDate(Date resultUploadDate) {
        this.resultUploadDate = resultUploadDate;
    }

    public Date getApprovalDate() {
        return approvalDate;
    }

    public void setApprovalDate(Date approvalDate) {
        this.approvalDate = approvalDate;
    }

    public String getTimeout() {
        return timeout;
    }

    public void setTimeout(String timeout) {
        this.timeout = timeout;
    }

    public String getAuditManagementLevel() {
        return auditManagementLevel;
    }

    public void setAuditManagementLevel(String auditManagementLevel) {
        this.auditManagementLevel = auditManagementLevel;
    }

    public String getAuditMethod() {
        return auditMethod;
    }

    public void setAuditMethod(String auditMethod) {
        this.auditMethod = auditMethod;
    }

    public String getFullTimeAuditor() {
        return fullTimeAuditor;
    }

    public void setFullTimeAuditor(String fullTimeAuditor) {
        this.fullTimeAuditor = fullTimeAuditor;
    }

    public String getSubmitter() {
        return submitter;
    }

    public void setSubmitter(String submitter) {
        this.submitter = submitter;
    }

    public String getSubmissionDepartment() {
        return submissionDepartment;
    }

    public void setSubmissionDepartment(String submissionDepartment) {
        this.submissionDepartment = submissionDepartment;
    }

    public String getSecondaryUnit() {
        return secondaryUnit;
    }

    public void setSecondaryUnit(String secondaryUnit) {
        this.secondaryUnit = secondaryUnit;
    }

    public String getPrimaryUnit() {
        return primaryUnit;
    }

    public void setPrimaryUnit(String primaryUnit) {
        this.primaryUnit = primaryUnit;
    }

    public String getSubmissionStatus() {
        return submissionStatus;
    }

    public void setSubmissionStatus(String submissionStatus) {
        this.submissionStatus = submissionStatus;
    }
}
